
%global meadversion 7.0.0
%global namedversion 7.0.0.GA-redhat-2
%global meadalpha .GA_redhat_2
%global meadrel .1
%global serial 5
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-seam-int}
%{!?scl:%global pkg_name %{name}}

%define maven_version 7.0.0.GA-redhat-2

Name:           %{?scl_prefix}jboss-seam-int
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Seam Int JBossAS
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-seam-int-7.0.0.GA-redhat-2-scm-sources.zip
Source102: jboss-seam-int-jbossas-7.0.0.GA-redhat-2.jar
Source103: jboss-seam-int-jbossas-7.0.0.GA-redhat-2.pom
Source104: jboss-seam-int-jbossas-7.0.0.GA-redhat-2-sources.jar
Source105: jboss-seam-int-jbossas-7.0.0.GA-redhat-2-javadoc.jar
Source106: jboss-seam-int-7.0.0.GA-redhat-2.pom
Source107: jboss-seam-int-7.0.0.GA-redhat-2-project-sources.tar.gz
%endif

URL:            http://viewvc.jboss.org/cgi-bin/viewvc.cgi/jbossas/projects/jboss-seam-int/tags/7.0.0.GA
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-seam-int-%{namedversion}-%{release}-root

%description 
JBoss Seam Int JBossAS.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-seam-int
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n %{pkg_name} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-seam-int-jbossas-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-seam-int-jbossas-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-seam-int-jbossas-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-seam-int-jbossas-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-seam-int-jbossas-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-seam-int-jbossas-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-seam-int-jbossas-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-seam-int-jbossas-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-seam-int-jbossas-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-seam-int-jbossas-%{namedversion} %{buildroot}%{_javadocdir}/jboss-seam-int-jbossas
%endif

%clean
%{__rm} -rf %{buildroot}


%files -n %{?scl_prefix}jboss-seam-int
%defattr(0644,root,root,0755)
%{_javadir}/jboss-seam-int-jbossas-%{namedversion}.jar
%{_javadir}/jboss-seam-int-jbossas.jar
%if %with javadoc
%{_javadir}/jboss-seam-int-jbossas-%{namedversion}-javadoc.jar
%{_javadir}/jboss-seam-int-jbossas-javadoc.jar
%endif
%{_javadir}/jboss-seam-int-jbossas-%{namedversion}-sources.jar
%{_javadir}/jboss-seam-int-jbossas-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-seam-int-jbossas-%{namedversion}
%{_javadocdir}/jboss-seam-int-jbossas
%endif

%changelog
* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 7.0.0-5.GA_redhat_2.1
- Fix license (JBEAP-13468)

* Thu Aug 04 2016 Fernando Nasser <fnasser@redhat.com> - 7.0.0-4.GA_redhat_2.1
- Revert to 7.0.0.GA-redhat-2

* Thu Aug 04 2016 Fernando Nasser <fnasser@redhat.com> - 7.0.0-3.GA_redhat_3.1
- Revert to 7.0.0.GA-redhat-2

* Wed Aug 03 2016 Fernando Nasser <fnasser@redhat.com> - 7.0.0-2.GA_redhat_3.1
- Rebuild to produce RPM wrappers

* Wed Aug 03 2016 Fernando Nasser <fnasser@redhat.com> - 7.0.0-2.GA_redhat_3.1
- Rebuild to produce RPM wrappers

* Wed Aug 03 2016 Fernando Nasser <fnasser@redhat.com> - 7.0.0-2.GA_redhat_3.1
- Rebuild to produce RPM wrappers

* Wed Aug 03 2016 Fernando Nasser <fnasser@redhat.com> - 7.0.0-2.GA_redhat_2.1
- Upgrade to 7.0.0.GA-redhat-2

* Tue Jul 14 2015 Hui Wang <huwang@redhat.com> - 7.0.0-1.GA_redhat_1.1
- Upgrade to 7.0.0.GA-redhat-1

* Mon Feb 09 2015 David Walluck <dwalluck@redhat.com> - 6.0.0-10.GA_redhat_3.1
- merge into a single package

* Thu Dec 25 2014 Hui Wang <huwang@redhat.com> - 6.0.0-9.GA_redhat_3.1
- Remove dependencies on old maven BOMs

* Wed Sep 11 2013 David Walluck <dwalluck@redhat.com> 0:6.0.0-9
- package is named jboss-seam-int-jbossas

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:6.0.0-8.GA_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:6.0.0-7.GA_redhat_2
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:6.0.0-6.GA_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:6.0.0-6.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:6.0.0-6.GA_redhat_1.1
- Rebuild using cache signing

* Tue Jun 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:6.0.0-6.GA_redhat_1
- Build in MEAD

* Wed Apr 18 2012 Hui Wang <huwang@redhat.com> - 0:6.0.0-5.GA_redhat_1
- Cleanup
- BR jboss-test and surefire-junit4

* Thu Apr 12 2012 Lin Gao <lgao@redhat.com> - 0:6.0.0-4.GA_redhat_1
- Fix Release tag
- Remove repository definitions from POM

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:6.0.0-3.GA_redhat_1.1.1
- Rebuild using cache signing

* Wed Mar 21 2012 Hui Wang <huwang@redhat.com> - 0:6.0.0-3.GA_redhat_1.1
- Fix installation path

* Fri Jan 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:6.0.0-3
- Do not require jboss-seam2 and jboss-parent

* Fri Aug 26 2011 Lin Gao <lgao@redhat.com> - 0:6.0.0-2
- wolf build

* Fri Aug 12 2011 Lin Gao <lgao@redhat.com> - 0:6.0.0-1
- upgrade to 6.0.0.GA
- only jboss-seam-int-jbossas needed in EAP 6
- clean spec

* Tue Dec 14 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin

* Fri Jun 25 2010 David Walluck <dwalluck@redhat.com> 0:5.1.0-1
- 5.1.0.GA

* Tue Jun 22 2010 David Walluck <dwalluck@redhat.com> 0:5.1.0-0.CR1.4
- rebuild with javadocs (disable apiviz)

* Tue Apr 13 2010 Yiqiao Wang <yiwang@redhat.com> 0:5.1.0-0.CR1.1.3.1
- Rebuild
- Fix depmap entry for dtdparser

* Wed Sep 16 2009 Fernando Nasser <fnasser@redhat.com> 0:5.1.0-0.CR1.1.3
- Relax run-time dependencies, all provided by the AS environment

* Mon Sep 14 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-0.CR1.1.2
- BuildRequires: hibernate3-ejb-persistence-3.0-api
- add jpp depmap entry for stax_1_0_api

* Fri Sep 11 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-0.CR1.1.1
- disable javadoc to drop apiviz requirement
- don't ignore test failures
- update jpp depmap for jbossws

* Fri Sep 11 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-0.CR1.1
- release
